#include <iostream>
#include<vector>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    long long n,k;
    cin>>n>>k;
    vector<long long> d(k);
    for(long long i=0;i<k;i++){
        cin>>d[i];
    }
    vector<long long> ans(k);
    for(long long i=0;i<k;i++){
            long long ez=d[i];
            long long t=0;
        for(long long j=0;j<k;j++){
            if(ez%d[j]==0)t=t^d[j];
        }
    ans[i]=t;
    }
    for(long long i=0;i<k;i++) {
        cout<<ans[i]<<" ";
    }
}